<?php
// пример вызова
// http://kvzrm.ru/cab/print/reports_itog1.html

include_once(_DIR_TO_CLASS.'/c_page.php') ;
class c_page_cab_print extends c_page
{
 public $h1='Отчеты' ;
 public $body_class='printSelected to_print' ;
 public $body_type='print' ;
 public $pattern_dir='aspmo_print' ;


  function show()
  {
    if (mb_strpos(_CUR_PAGE_NAME,'.jpg')!==false) $this->block_main() ;
    if (mb_strpos(_CUR_PAGE_NAME,'.gif')!==false) $this->block_main() ;
    else parent::show() ;
  }


 function block_main()
 { $result=0 ;
   $name=str_replace(array('.html','.jpg','.gif'),'',_CUR_PAGE_NAME) ;
   if ($name) switch($name)
     {  default:            $result=$this->print_report($name) ;
     }
   switch($result)
     {  case -1: echo 'Скрипт шаблона документа "/class/ext/'.$this->pattern_dir.'/'.$name.'.php"  не найден' ; break ;
        case -2: echo 'функция шаблона документа "'.$name.'" не найдена' ; break ;
     }
 }

 function print_report($name)
 { if (!file_exists(_DIR_EXT.'/'.$this->pattern_dir.'/'.$name.'.php')) return(-1) ;
   include_once(_DIR_EXT.'/'.$this->pattern_dir.'/'.$name.'.php') ;
   if (!function_exists($name)) return(-2) ;
   $name() ;
   return(1) ;
 }


 function print_napravlenie()
 {
   $rec_mo=ESMO()->get_mo_by_id($_GET['mo_id']) ;
   if ($rec_mo['pkey'])
   { include_once(_DIR_EXT.'/aspmo_reports/report_napravlenie.php') ;
     report_napravlenie($_GET['mo_id']);
   }
 }

}
?>